From 79327f0c9c3dfb3defed9d405439128c7e8c0ae2 Mon Sep 17 00:00:00 2001
From: Pavel Shramov <psha@map.psha.org.ru>
Date: Wed, 2 Nov 2011 02:10:35 +0400
Subject: [PATCH] livegps: Don't fail if epx/epy not present

Signed-off-by: Pavel Shramov <shramov@mexmat.net>
---
 livegps/src/livegps/LiveGpsAcquirer.java |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/livegps/src/livegps/LiveGpsAcquirer.java b/livegps/src/livegps/LiveGpsAcquirer.java
index 5394447..e80b556 100644
--- a/livegps/src/livegps/LiveGpsAcquirer.java
+++ b/livegps/src/livegps/LiveGpsAcquirer.java
@@ -282,8 +282,8 @@ public class LiveGpsAcquirer implements Runnable {
             lon = report.getDouble("lon");
             speed = (new Float(report.getDouble("speed"))).floatValue();
             course = (new Float(report.getDouble("track"))).floatValue();
-            epx = (new Float(report.getDouble("epx"))).floatValue();
-            epy = (new Float(report.getDouble("epy"))).floatValue();
+            if (report.has("epx")) epx = (new Float(report.getDouble("epx"))).floatValue();
+            if (report.has("epy")) epy = (new Float(report.getDouble("epy"))).floatValue();
 
             return new LiveGpsData(lat, lon, course, speed, epx, epy);
         } catch (JSONException je) {}
-- 
1.7.2.5

